All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.util
Class AppliedFilterUtil

    com.sas.iquery.util.AppliedFilterUtil

    public class AppliedFilterUtil

The applied filter represents the selection on an applied filter.

The applied filter holds the following information:

- Parent Object: this is either the data selection or the data item
- Displayed Text: this is the human readable text for the filter, for example, "Product Equal to Children, Clothes & Shoes."
- Level information: includes levels used in the filter

Not yet implemented.

Since:
  9.3

Constructor Summary
`AppliedFilterUtil()`

Method Summary
`static java.util.List<java.lang.String>` | `getAllAppliedFilterDescription(BusinessQuery model, com.sas.storage.olap.MetadataInterface metadata, boolean applyPromptValues, java.util.Locale locale, boolean showByGroupExpression)` Returns a list of String objects that represent the filters applied to the data selection.

Constructor Detail

### AppliedFilterUtil

    public AppliedFilterUtil()

Method Detail

### getAllAppliedFilterDescription

    public static java.util.List<java.lang.String> getAllAppliedFilterDescription(BusinessQuery model,
                                                                                  com.sas.storage.olap.MetadataInterface metadata,
                                                                                  boolean applyPromptValues,
                                                                                  java.util.Locale locale,
                                                                                  boolean showByGroupExpression)

  Returns a list of String objects that represent the filters applied to the data selection.

  Parameters:
    `model` - the model for which applied filter should be returned
    `metadata` - the metadata data interface associated with the result set
    `locale` - to use for display
    `show` - by group filter expression
  Returns:
    a List of Strings representing the filters applied to the model.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.